import { GeneratorPosEnum, RefineGeneratorContext, ShortcutPosEnum, SubShortcutPosEnum } from './context';
export declare const useModalPos: (ctx: Omit<RefineGeneratorContext, "generatorPosition" | "shortcutPosition" | "subShortcutPosition" | "setGeneratorPosition" | "setShortcutPosition" | "setSubShortcutPosition" | "calcModalPosition">) => {
    generatorPosition: import("vue").Ref<GeneratorPosEnum, GeneratorPosEnum>;
    shortcutPosition: import("vue").Ref<ShortcutPosEnum, ShortcutPosEnum>;
    subShortcutPosition: import("vue").Ref<SubShortcutPosEnum, SubShortcutPosEnum>;
    setGeneratorPosition: import("../../../hooks/use-state").SetStateAction<GeneratorPosEnum>;
    setShortcutPosition: import("../../../hooks/use-state").SetStateAction<ShortcutPosEnum>;
    setSubShortcutPosition: import("../../../hooks/use-state").SetStateAction<SubShortcutPosEnum>;
    calcModalPosition: () => void;
};
